Skip to main content
GET
/
v1
/
promotions
/
{promotionId}
/
versions
/
{versionId}
/
evaluation
Get evaluation
curl --request GET \
  --url https://public-api.adclear.ai/v1/promotions/{promotionId}/versions/{versionId}/evaluation \
  --header 'Authorization: Bearer <token>' \
  --header 'X-External-User-ID: <x-external-user-id>'
import requests

url = "https://public-api.adclear.ai/v1/promotions/{promotionId}/versions/{versionId}/evaluation"

headers = {
"X-External-User-ID": "<x-external-user-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-External-User-ID': '<x-external-user-id>', Authorization: 'Bearer <token>'}
};

fetch('https://public-api.adclear.ai/v1/promotions/{promotionId}/versions/{versionId}/evaluation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "<string>",
  "results": [
    {
      "evaluationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fileName": "<string>",
      "result": {
        "reviewRequired": true,
        "overallAssessment": "<string>",
        "issues": [
          {
            "recommendation": "<string>",
            "rationale": "<string>",
            "citedRules": [
              {
                "id": "<string>",
                "name": "<string>",
                "product": "<string>",
                "channel": "<string>"
              }
            ],
            "location": {
              "content": "<string>",
              "pageNumber": 123,
              "timestamp": "<string>"
            }
          }
        ]
      }
    }
  ],
  "correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"error": {
"message": "<string>",
"details": [
{
"type": "field_error",
"field": "<string>",
"message": "<string>"
}
]
},
"correlationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Unkey API key passed as Bearer token

Headers

X-External-User-ID
string
required

External user identifier from the calling system

X-External-User-Email
string<email>

External user email from the calling system

Path Parameters

promotionId
string<uuid>
required

Promotion ID

versionId
string<uuid>
required

Version ID

Response

Evaluation result

status
string
required

Aggregate status across all file evaluations

results
object[]
required

Per-file evaluation results (array of 1 for single-file promotions)

correlationId
string<uuid>
required

Correlation ID for request tracing. Include in support requests.